### Function

# FwupdPlugin common_guid_is_plausible

since: 1.2.5

#### Declaration [src]

    gboolean
    fu_common_guid_is_plausible (
      const guint8* buf
    )

#### Description [src]

Checks whether a chunk of memory looks like it could be a GUID.

Available since: 1.2.5

#### Parameters

`buf`

  Type: `const guint8*`

  A buffer of data.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

TRUE if it looks like a GUID, FALSE if not.